Retrieves the job_estimated_quantity with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
job_estimated_quantity| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| estimated_quantity |
Estimated quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| article_id |
Foreign key of the article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| reference_back_office |
The Id/Ref of the back office for this job. Used by Embedded entity |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "6dd0c9f3-ea89-4ade-bc09-ac6d59fadb95",
"estimated_quantity": 2.0,
"article_id": "b83f9263-f913-4552-85b5-8274cf57f71a",
"article_code": "sample string 4",
"article": {
"id": "ea4df513-982f-47c9-ae3a-11498beeafc3",
"article_category_id": "16f5e037-e051-453e-bebb-ff27043fecca",
"article_category": {
"id": "55d1e6d9-f3fd-4ff3-b0c7-a12925fef168",
"parent_id": "f64cac2a-af2d-4006-866c-942f789d9d80",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-11-11T17:49:32.8305898+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "ee4c2fd0-f09a-40f8-826f-1165a189f9f2",
"article_group_1_code": "sample string 5",
"article_group_2_id": "c8c2cd3f-9140-4580-9a8b-7fa3434dc0ac",
"article_group_2_code": "sample string 7",
"article_group_3_id": "e23e784a-32ce-4244-853f-95fb9665cbe8",
"article_group_3_code": "sample string 9",
"article_group_4_id": "c8c60724-89e3-4264-81a0-9d1df2aa6b57",
"article_group_4_code": "sample string 11",
"article_group_5_id": "d7ed0abc-0afe-47b3-9beb-d41e43467464",
"article_group_5_code": "sample string 13",
"article_group_6_id": "24119dd1-5121-4f45-acef-9708ef04a891",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-11-11T17:49:32.8305898+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-11-11T17:49:32.8305898+00:00",
"date_update": "2026-11-11T17:49:32.8305898+00:00",
"modified_dateutc": "2026-11-11T17:49:32.8305898+00:00",
"article_color_id": "a395ab11-362d-42ef-aab9-19c918bf1e70",
"article_color_code": "sample string 38",
"article_color": {
"id": "6fe7ded0-a1fb-473f-b0af-e033d2397881",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-11-11T17:49:32.8305898+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "32fc8eb4-6631-4193-8b6d-d80a36605174",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "a99f0239-3e76-4752-9d2f-20414878eee4",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"jobs_id": "02db99ce-55a6-4336-92ff-aa07e3ac98d5",
"jobs_reference_back_office": "sample string 6",
"jobs": {
"id": "93e45406-471c-46be-aed7-fce6b4f36d02",
"_parent_id": "b76f3fed-d9a5-449b-abb5-c04548995a65",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "b09ffa61-3dee-4701-9808-b621a972324b",
"project_reference_back_office": "sample string 5",
"project": {
"id": "a6d6e4bb-f123-49bd-a7e8-24210c236de4",
"_parent_id": "7de8ab75-26ed-46ec-b3c6-21590fda3b04",
"root_parent_id": "95437695-8e57-401b-a101-6197bbddf1e2",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "faf0bba3-c3f4-4273-9802-443f6f082409",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "3cf8086d-720d-47df-a972-2cbf269245db",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "54c8da9a-d2ed-4203-9852-a0925542782f",
"_parent_code": "sample string 6",
"sales_organization_id": "3039dd3b-4803-4c23-b3a5-94dbf9ae32b8",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "69cb5e36-397a-4a02-bfb3-761f722e8e5e",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "98beecaf-e0f1-447d-8b47-13afe14a2271",
"db_currency_id": "ccd9ba7e-3cf5-48dd-b04f-f25b81ffa0a9",
"db_language_id": "de0061d4-3ad0-4ac0-9ebc-cf9535bfb2ef",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-11T17:49:32.8305898+00:00"
},
"modified_dateutc": "2026-11-11T17:49:32.8305898+00:00"
},
"equipment_model_id": "fbd60316-eeb6-4cf3-94c6-a2b65220cfd1",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "b73bea74-c625-4e53-a9f5-df847064c5bc",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "ab736ed2-f409-48ef-a26e-05677a0d59cd",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "9cd743c1-ed1e-4990-93e3-ed22a7f2ff82",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "5cf3b835-8086-4272-b196-e755669a415c",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "69cb5e36-397a-4a02-bfb3-761f722e8e5e",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "98beecaf-e0f1-447d-8b47-13afe14a2271",
"db_currency_id": "ccd9ba7e-3cf5-48dd-b04f-f25b81ffa0a9",
"db_language_id": "de0061d4-3ad0-4ac0-9ebc-cf9535bfb2ef",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-11T17:49:32.8305898+00:00"
},
"modified_dateutc": "2026-11-11T17:49:32.8492302+00:00"
},
"equipment_family_id": "1541f128-433b-4920-aea2-94285bd65472",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "3cf8086d-720d-47df-a972-2cbf269245db",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "54c8da9a-d2ed-4203-9852-a0925542782f",
"_parent_code": "sample string 6",
"sales_organization_id": "3039dd3b-4803-4c23-b3a5-94dbf9ae32b8",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "69cb5e36-397a-4a02-bfb3-761f722e8e5e",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "98beecaf-e0f1-447d-8b47-13afe14a2271",
"db_currency_id": "ccd9ba7e-3cf5-48dd-b04f-f25b81ffa0a9",
"db_language_id": "de0061d4-3ad0-4ac0-9ebc-cf9535bfb2ef",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-11T17:49:32.8305898+00:00"
},
"modified_dateutc": "2026-11-11T17:49:32.8305898+00:00"
},
"date_in_production_since": "2026-11-11T17:49:32.8492302+00:00",
"date_out_of_production_since": "2026-11-11T17:49:32.8492302+00:00",
"date_end_support": "2026-11-11T17:49:32.8492302+00:00",
"sales_organization_id": "95bcdeec-6042-477f-825c-40bcb3255161",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "69cb5e36-397a-4a02-bfb3-761f722e8e5e",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "98beecaf-e0f1-447d-8b47-13afe14a2271",
"db_currency_id": "ccd9ba7e-3cf5-48dd-b04f-f25b81ffa0a9",
"db_language_id": "de0061d4-3ad0-4ac0-9ebc-cf9535bfb2ef",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-11T17:49:32.8305898+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-11-11T17:49:32.8492302+00:00"
},
"project_status_id": "8cf9eb79-7061-40e4-9e08-e8542cfff7d4",
"project_status_code": "sample string 10",
"project_status": {
"id": "de7d22a5-5306-4ea4-9bc6-ea534baa8c9e",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "0839f684-7917-43b7-a7ba-87c1ad00dfc1",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "69cb5e36-397a-4a02-bfb3-761f722e8e5e",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "98beecaf-e0f1-447d-8b47-13afe14a2271",
"db_currency_id": "ccd9ba7e-3cf5-48dd-b04f-f25b81ffa0a9",
"db_language_id": "de0061d4-3ad0-4ac0-9ebc-cf9535bfb2ef",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-11T17:49:32.8305898+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-11T17:49:32.8492302+00:00"
},
"company_id": "c7f014ac-2da0-42f3-9f00-ac82d03120c0",
"company_code": "sample string 12",
"db_address_id": "989333b3-32b7-4cb3-b862-98ae5f92e2ad",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "29b44eaa-9624-4988-9b94-ff529eda30e7",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "4332f168-404b-4121-bed8-73205a65b673",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-11-11T17:49:32.8492302+00:00",
"date_create": "2026-11-11T17:49:32.8492302+00:00",
"date_update": "2026-11-11T17:49:32.8492302+00:00",
"updated_by_user_id": "08dd5acc-8130-4eb2-97ce-7a9011995ffd",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-11-11T17:49:32.8492302+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-11-11T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-11-11T17:49:32.8492302+00:00",
"date_last_job": "2026-11-11T17:49:32.8492302+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-11-11T17:49:32.8492302+00:00",
"modified_dateutc": "2026-11-11T17:49:32.8492302+00:00",
"is_mobile_installation": true
},
"job_type_id": "27bafc2a-15e0-4504-b9f7-3d95d80f6381",
"job_type_code": "sample string 7",
"job_type": {
"id": "13b313b6-993e-426c-b0f7-90f7bab8254d",
"name": "sample string 2",
"sales_organization_id": "5e2c6897-784f-4856-b7b1-9e27573a3ff9",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-11-11T17:49:32.8492302+00:00",
"code": "sample string 7"
},
"job_priority_id": "1b1a13e3-a692-4611-900b-b95cdd1eb570",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "99f9187b-7a52-4120-8057-ad1c9d690ed5",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "86151ed5-0d3a-476e-b5ac-dddc734eb6dc",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "69cb5e36-397a-4a02-bfb3-761f722e8e5e",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "98beecaf-e0f1-447d-8b47-13afe14a2271",
"db_currency_id": "ccd9ba7e-3cf5-48dd-b04f-f25b81ffa0a9",
"db_language_id": "de0061d4-3ad0-4ac0-9ebc-cf9535bfb2ef",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-11T17:49:32.8305898+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-11T17:49:32.8492302+00:00"
},
"job_status_id": "b6543607-1076-405c-9f9b-d96f793e9e4e",
"job_status_code": "sample string 11",
"db_address_id": "1febb88e-3976-470d-9cea-a2325c42bc1e",
"contact_id": "185a81ec-5381-42d1-bae0-5bd163660c2c",
"requested_by_company_id": "068a8cb8-72cf-49f1-b900-26f365c5ef6c",
"requested_by_contact_id": "f355c0c2-bf6f-48c3-92a2-0e7c01d64773",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-11-11T17:49:32.8492302+00:00",
"due_date": "2026-11-11T17:49:32.8492302+00:00",
"date_create": "2026-11-11T17:49:32.8492302+00:00",
"date_update": "2026-11-11T17:49:32.8492302+00:00",
"date_closed": "2026-11-11T17:49:32.8492302+00:00",
"suggested_user_id": "eb8acd1e-4602-46e5-a959-b142748b58d2",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "548f0399-ea39-4735-8933-1c6d059948a6",
"db_language_id": "99a0021c-cb65-48f3-864b-00705b5352d5",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-11T17:49:32.8492302+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "550aac60-1f24-4426-9c4f-c63e91792e34",
"sales_organization": {
"id": "69cb5e36-397a-4a02-bfb3-761f722e8e5e",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "98beecaf-e0f1-447d-8b47-13afe14a2271",
"db_currency_id": "ccd9ba7e-3cf5-48dd-b04f-f25b81ffa0a9",
"db_language_id": "de0061d4-3ad0-4ac0-9ebc-cf9535bfb2ef",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-11T17:49:32.8305898+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "dea44c8d-53ee-47a5-a93b-ccbe278527f8",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "5fa76dd8-72b2-4bae-affd-d201bbbd343e",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-11T17:49:32.8492302+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "7116d13a-c35c-4dc4-a13e-498fe68f9c10"
},
"suggested_date_start": "2026-11-11T17:49:32.8492302+00:00",
"skill_id": "95b82b93-333e-4ced-99eb-0546889dde88",
"skill_code": "sample string 32",
"skill": {
"id": "12b5fa34-a94c-4bd7-b3b1-99aed642986a",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "865ec8e2-fdf2-42c7-b416-a72267e84929",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "69cb5e36-397a-4a02-bfb3-761f722e8e5e",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "98beecaf-e0f1-447d-8b47-13afe14a2271",
"db_currency_id": "ccd9ba7e-3cf5-48dd-b04f-f25b81ffa0a9",
"db_language_id": "de0061d4-3ad0-4ac0-9ebc-cf9535bfb2ef",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-11T17:49:32.8305898+00:00"
},
"modified_dateutc": "2026-11-11T17:49:32.8492302+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "632d61f8-a6ab-4212-9b34-32cab81bbf68",
"date_reported_by_company": "2026-11-11T17:49:32.8492302+00:00",
"id2": 36,
"company_id": "5b56cc08-bfe4-4956-84fd-8a835312a98e",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "5f7e3662-7311-47f8-a2e7-789f6aa421aa",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-11-11T17:49:32.8492302+00:00"
},
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-11T17:49:32.8492302+00:00"
}